Skip to main content
GET
/
api
/
v1
/
customers
/
{id}
/
integrations
JavaScript
import Stigg from '@stigg/typescript';

const client = new Stigg({
  apiKey: process.env['STIGG_API_KEY'], // This is the default and can be omitted
});

// Automatically fetches more pages as needed.
for await (const integrationListResponse of client.v1.customers.integrations.list('x')) {
  console.log(integrationListResponse.id);
}
{
  "data": [
    {
      "id": "<string>",
      "syncedEntityId": "<string>",
      "syncData": {
        "billingId": "<string>",
        "billingLinkUrl": "<string>",
        "priceGroupPackageBillingId": "<string>"
      }
    }
  ],
  "pagination": {
    "next": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "prev": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.stigg.io/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-KEY
string
header
required

Server API Key

Path Parameters

id
string
required

The unique identifier of the entity

Required string length: 1 - 255

Query Parameters

after
string<uuid>

Return items that come after this cursor

before
string<uuid>

Return items that come before this cursor

limit
integer
default:20

Maximum number of items to return

Required range: 1 <= x <= 100
vendorIdentifier
enum<string>[]

Filter by vendor identifier. Supports comma-separated values for multiple vendors (e.g., STRIPE,HUBSPOT)

Available options:
AUTH0,
ZUORA,
STRIPE,
HUBSPOT,
AWS_MARKETPLACE,
SNOWFLAKE,
SALESFORCE,
BIG_QUERY,
OPEN_FGA,
APP_STORE

Response

A paginated list of customer integration objects.

Response list object

data
CustomerIntegration · object[]
required
pagination
object
required

Pagination metadata including cursors for navigating through results